#ifndef NPSTAT_RECURRENCE_HH_
#define NPSTAT_RECURRENCE_HH_

//======================================================================
// Recurrence.hh
//
// This is an internal header which is subject to change without
// notice. Application code should never use classes or functions
// declared/defined in this header directly.
//
// Author: I. Volobouev
//
// May 2017
//======================================================================

#include <cmath>
#include <cassert>

namespace npstat {
    namespace Private {
        struct Recurrence
        {
            inline Recurrence(const long double a, const long double b)
                : alpha(a), beta(b)
            {
                assert(beta > 0.0L);
                sqrbeta = sqrtl(beta);
            }

            long double alpha;
            long double beta;
            long double sqrbeta;
        };
    }
}

#endif // NPSTAT_RECURRENCE_HH_
