#ifndef NPSTAT_RECURRENCEQ_HH_
#define NPSTAT_RECURRENCEQ_HH_

//======================================================================
// RecurrenceQ.hh
//
// This is an internal header which is subject to change without
// notice. Application code should never use classes or functions
// declared/defined in this header directly.
//
// Author: I. Volobouev
//
// July 2023
//======================================================================

#include <cassert>

#include "npstat/nm/quad_float.hh"

namespace npstat {
    namespace Private {
        struct RecurrenceQ
        {
            inline RecurrenceQ(const quad_float a, const quad_float b)
                : alpha(a), beta(b)
            {
                assert(beta > 0.0Q);
                sqrbeta = sqrtq(beta);
            }

            quad_float alpha;
            quad_float beta;
            quad_float sqrbeta;
        };
    }
}

#endif // NPSTAT_RECURRENCEQ_HH_
