#include <stdexcept>

#include "npstat/stat/NeymanOSDE1DResult.hh"

namespace npstat {
    const char* neymanOSDEMinimizerName(const unsigned code)
    {
        static const char* names[NOSDE_N_MINIMIZER_CODES] = {
            "Unoptimized",
            "Newton",
            "Gradient Descent",
            "Random Search",
            "Minuit",
            "Minuit Improved",
            "Other"
        };

        if (code >= NOSDE_N_MINIMIZER_CODES) throw std::invalid_argument(
            "In npstat::neymanOSDEMinimizerName: minimizer code is out of range");
        return names[code];
    }
}
