#include "npstat/nm/GaussHermiteQuadrature.hh"

#include "npstat/stat/johnsonTransform.hh"
#include "npstat/stat/johnsonIntegral.hh"

namespace npstat {
    double johnsonIntegral(const AbsDistribution1D& johnsonCurve,
                           const Functor1<double,double>& fcn,
                           const unsigned nInteg)
    {
        std::unique_ptr<AbsDistributionTransform1D> t =
            johnsonTransform(johnsonCurve);
        TransformedFunctor1 tf(fcn, *t, false);
        GaussHermiteQuadrature ghq(nInteg);
        return ghq.integrateProb(0.0, 1.0, tf);
    }
}
