#ifndef NPSTAT_RANDOMORTHOGONALMATRIX_HH_
#define NPSTAT_RANDOMORTHOGONALMATRIX_HH_

/*!
// \file randomOrthogonalMatrix.hh
//
// \brief Generating random orthogonal matrices uniformly in the Haar measure
//
// Author: I. Volobouev
//
// February 2023
*/

#include "npstat/nm/Matrix.hh"
#include "npstat/rng/AbsRandomGenerator.hh"

namespace npstat {
    npstat::Matrix<double> randomOrthogonalMatrix(
        npstat::AbsRandomGenerator& g, unsigned dim);
}

#endif // NPSTAT_RANDOMORTHOGONALMATRIX_HH_
